package com.qiaoba.api.system.service;

import com.qiaoba.api.system.entity.SysDictData;

import java.util.List;

/**
 * 字典 对外暴露接口
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/31 9:44
 */
public interface SysDictApiService {

    /**
     * 根据字典类型查询字典数据
     *
     * @param dictType 字典类型
     * @return 字典数据集合信息
     */
    List<SysDictData> selectFromCache(String dictType);
}
