package com.qiaoba.auth.constants;

/**
 * 安全常量
 *
 * @author ailanyin
 * @version 1.0
 * @since 2022/9/8 0008 下午 14:54
 */
public class SecurityConstant {

    public static final String LOGOUT_URI = "/logout";
    public static final String HAS_BEEN_PULLED_BLACK = "你的IP已经被系统拉黑, 请联系管理员处理";
    public static final String ACCESS_DENIED = "暂无权限访问, 请重新登录";
    public static final String BLACKLIST_KEY = "login:blacklist:";
    public static final String LOGIN_ERROR_COUNT = "login:errorCount:";
    public static final String BLACKLIST_ON = "true";

    public static final String CAPTCHA_KEY = "login:captcha:";

    public static final String REDIS_SECRET_KEY = "sys:secret:secret";
    public static final String USER_DETAILS_REDIS_KEY = "user_details:";
    public static final String ONLINE_USER_REDIS_KEY = "online_user:";
    public static final String LOGGED_USER_REDIS_KEY = "logged_user:";


    /**
     * 密码错误
     */
    public static final String PASSWORD_ERROR = "密码错误";

    /**
     * token header
     */
    public static final String TOKEN_HEADER = "Authorization";

    /**
     * token前缀
     */
    public static final String TOKEN_HEAD = "Bearer ";


}
