package com.qiaoba.module.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qiaoba.api.system.entity.SysDictData;

public interface SysDictDataMapper extends BaseMapper<SysDictData> {

    /**
     * 检查数据标签是否唯一
     *
     * @param sysDictData sysDictData
     * @return 已存在的值
     */
    String checkDictLabelUnique(SysDictData sysDictData);

    /**
     * 检查数据键值是否唯一
     *
     * @param sysDictData sysDictData
     * @return 已存在的值
     */
    String checkDictValueUnique(SysDictData sysDictData);
}
