package com.qiaoba.module.tenant.entity.param;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.io.Serializable;

/**
 * 租户数据源查询参数
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/9 13:18
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class SysTenantDatasourceParam implements Serializable {

    private String tenantId;

    private String isPrimary;

    public SysTenantDatasourceParam(String tenantId) {
        this.tenantId = tenantId;
    }

}
