package com.qiaoba.module.tenant.handler;

import java.sql.Connection;

/**
 * 数据处理器
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/8 15:27
 */
public interface DataHandler {

    /**
     * 处理
     *
     * @param conn             conn
     * @param needCreateTables 是否需要建表
     * @param tenantId         tenantId
     * @return 结果
     */
    boolean handle(Connection conn, String tenantId, Boolean needCreateTables);
}
