package com.qiaoba.module.tenant.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qiaoba.module.tenant.entity.SysTenantDatasource;

import java.util.List;

/**
 * 租户数据源 数据层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/7 14:47
 */
public interface SysTenantDatasourceMapper extends BaseMapper<SysTenantDatasource> {

    /**
     * 查询所有数据源模式的租户ID
     *
     * @return tenantIds
     */
    List<String> selectTenantIds();

}
