package com.qiaoba.auth.entity.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 在线用户
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/22 17:08
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class OnlineUserDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 登录账号
     */
    private String username;

    /**
     * 设备号 暂用UUID
     */
    private String deviceSn;

}
