package com.qiaoba.module.tenant.entity.vo;

import com.qiaoba.module.tenant.entity.SysTenantDatasource;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;

/**
 * 租户设置
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/7 17:13
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class TenantSettingVo implements Serializable {

    private String tenantId;
    private String mode;
    private List<SysTenantDatasource> datasourceList;

}
